package main

import (
	_ "embed"
	"strings"

	"testing"

	"github.com/stretchr/testify/assert"
)

var (
	//go:embed test2.txt
	testInput2 []byte
)

func TestDjistraWithMinDistance(t *testing.T) {
	//t.Skip("skipping test")

	input := strings.Split(string(testInput2), "\n")
	cost := two(input)

	t.Run("Should return a lowest cost of 71", func(t *testing.T) {
		assert.Equal(t, 71, cost)
	})
}
